package com.googlecode.marrowboy.writers;

import java.io.PrintStream;

/**
 * Contains a {@link ReportWriter} and a {@link PrintStream} to define what to
 * write to where.
 * 
 * @author mjg
 */
public class OutputConfiguration {

	private final ReportWriter reportWriter;
	private final PrintStream printStream;

	/**
	 * Constructor.
	 * 
	 * @param reportWriter
	 *            the {@link ReportWriter}
	 * @param printStream
	 *            the {@link PrintStream}
	 */
	public OutputConfiguration(ReportWriter reportWriter, PrintStream printStream) {
		this.reportWriter = reportWriter;
		this.printStream = printStream;
	}

	/**
	 * Getter
	 * 
	 * @return the {@link ReportWriter}
	 */
	public ReportWriter getReportWriter() {
		return reportWriter;
	}

	/**
	 * Getter
	 * 
	 * @return the {@link PrintStream}
	 */
	public PrintStream getPrintStream() {
		return printStream;
	}

}
